summaryrefslogtreecommitdiffstats
path: root/system-config/components/1050-kaboom
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/1050-kaboom')
-rwxr-xr-xsystem-config/components/1050-kaboom48
1 files changed, 48 insertions, 0 deletions
diff --git a/system-config/components/1050-kaboom b/system-config/components/1050-kaboom
new file mode 100755
index 0000000..e8658a2
--- /dev/null
+++ b/system-config/components/1050-kaboom
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.username=*|username=*)
+ LIVE_USERNAME="${_PARAMETER#*username=}"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/kaboom.list ] || \
+ [ -e /var/lib/live/config/kaboom ]
+ then
+ exit 0
+ fi
+
+ echo -n " kaboom"
+}
+
+Config ()
+{
+ sudo -u "${LIVE_USERNAME}" sh -c "mkdir -p /home/${LIVE_USERNAME}/.local && touch /home/${LIVE_USERNAME}/.local/kaboom"
+
+ # Creating state file
+ touch /var/lib/live/config/kaboom
+}
+
+Cmdline
+Init
+Config